# Ignore Visual Studio-specific files
.vs/
*.suo
*.user
*.userosscache
*.sln.docstates

# Ignore build output
bin/
obj/

# Ignore Rider-specific files
.idea/
*.iml

# Ignore Avalonia-specific files
Generated/
.avalonia/

# Ignore NuGet packages
*.nupkg
*.snupkg
packages/

# Ignore logs and debug files
*.log
logs/

# Ignore environment files
.env
.env.local
.env.*.local

# Ignore temporary files
*.tmp
*.bak
*.swp

# Ignore Rider and Resharper
**/.idea/
**/.vs/
**/.resharper/
**/_ReSharper*/
**/ReSharper*/
**/ResharperHost/

# Ignore DotNet tools
.nuke/
.nuke.temp/
.dotnet-tools/

# Ignore build artifacts
*.exe
*.dll
*.pdb
*.ilk
*.obj
*.so
*.idb
*.lib
*.dylib
*.a
*.exp
*.o
*.iobj
*.ipdb

# Ignore coverage reports
coverage/
*.coverage
*.coveragexml

# Ignore dependency files
node_modules/
package-lock.json

# Ignore Mono and JetBrains Rider-related files
mono_crash.*
